Listing account
Reads the account from Solana and returns it decoded, as { viewSlot, account }. account is null when the account doesn't exist.
Authorization
ApiKeyAuth x-api-key<token>
In: header
Path Parameters
address*string
Listing account address (base58). A PDA of the MallowMarket program, derived from seeds ["listing", mint] — so it is computable from the artwork mint alone.
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/accounts/market/listing/string"{ "result": { "viewSlot": 0, "account": { "accountType": "listing", "bump": 0, "version": 0, "marketplaceAuthority": "string", "seller": "string", "mint": "string", "currencyMint": "string", "price": "string", "endTime": 0, "listedAt": 0, "feeAccount": "string", "feeBps": 0, "startTime": 0, "whitelistConfig": "string", "buyerSetsPrice": true, "editionsLimit": 0, "nonCustodial": true, "tokenStandard": 0, "disablePrimarySplit": true, "pubkey": "string", "program": "mallow-market" } }}